<div class="container">
  <div class="row justify-content-center">
    <div class="col-xl-12 col-lg-12">
      <div class="page-header mb-4">
        <div class="media">
          <img
            alt="Image"
            src="../../assets/dependencies/img/avatar-male-4.jpg"
            class="avatar avatar-lg mt-1"
          />
          <div class="media-body ml-3">
            <h1 class="mb-0">{{ currentUsers[0].nomComplet }}</h1>
            <p class="lead">La référence</p>
          </div>
        </div>
      </div>
      <ul class="nav nav-tabs nav-fill">
        <li class="nav-item">
          <a
            class="nav-link active"
            data-toggle="tab"
            href="#tous"
            role="tab"
            aria-controls="tous"
            aria-selected="true"
            >Tous les projets</a
          >
        </li>
        <li class="nav-item">
          <a
            class="nav-link"
            data-toggle="tab"
            href="#enAttente"
            role="tab"
            aria-controls="diriges"
            aria-selected="false"
            >Projets en attente</a
          >
        </li>
        <li class="nav-item">
          <a
            class="nav-link"
            data-toggle="tab"
            href="#enCours"
            role="tab"
            aria-controls="interventifs"
            aria-selected="false"
            >Projets en cours</a
          >
        </li>
        <li class="nav-item">
          <a
            class="nav-link"
            data-toggle="tab"
            href="#termines"
            role="tab"
            aria-controls="interventifs"
            aria-selected="false"
            >Projets terminés</a
          >
        </li>
      </ul>
      <div class="tab-content">
        <!-- tous -->
        <div
          class="tab-pane fade show active"
          id="tous"
          role="tabpanel"
          aria-labelledby="tous-tab"
          data-filter-list="content-list-body"
        >
          <div class="row content-list-head">
            <div class="col-auto">
              <h3>Tous</h3>
              <button
                class="btn btn-round"
                data-toggle="modal"
                data-target="#ajouterProjet"
              >
                <i class="material-icons">add</i>
              </button>
            </div>
            <form class="col-md-auto">
              <div class="input-group input-group-round">
                <div class="input-group-prepend">
                  <span class="input-group-text">
                    <i class="material-icons">filter_list</i>
                  </span>
                </div>
                <input
                  type="search"
                  class="form-control filter-list-input"
                  placeholder="Filtrer  projets"
                  aria-label="Filtrer projets"
                  aria-describedby="filtrer-projets"
                />
              </div>
            </form>
          </div>
          <!--end of content list head-->
          <div class="content-list-body row">
            <div class="col-lg-4" *ngFor="let p of projets">
              <div class="card card-project">
                <div class="card-body">
                  <div class="dropdown card-options">
                    <button
                      class="btn-options"
                      type="button"
                      id="project-dropdown-button-4"
                      data-toggle="dropdown"
                      aria-haspopup="true"
                      aria-expanded="false"
                    >
                      <i class="material-icons">more_vert</i>
                    </button>
                    <div class="dropdown-menu dropdown-menu-right">
                      <a class="dropdown-item" href="#">Edit</a>
                      <a class="dropdown-item" href="#">Share</a>
                    </div>
                  </div>
                  <div class="card-title">
                    <a routerLink="/entreprise/vue-projet/{{ p.id }}">
                      <h5 data-filter-by="text">{{ p.nom }}</h5>
                    </a>
                  </div>
                  <ul class="avatars">
                    <li>
                      <a href="#" data-toggle="tooltip" title="David">
                        <img
                          alt="David Whittaker"
                          class="avatar"
                          src="assets/dependencies/img/avatar-male-4.jpg"
                          data-filter-by="alt"
                        />
                      </a>
                    </li>
                    <li>
                      <a href="#" data-toggle="tooltip" title="Masimba">
                        <img
                          alt="Masimba Sibanda"
                          class="avatar"
                          src="assets/dependencies/img/avatar-male-5.jpg"
                          data-filter-by="alt"
                        />
                      </a>
                    </li>
                    <li>
                      <a href="#" data-toggle="tooltip" title="Krishna">
                        <img
                          alt="Krishna Bajaj"
                          class="avatar"
                          src="assets/dependencies/img/avatar-female-6.jpg"
                          data-filter-by="alt"
                        />
                      </a>
                    </li>
                    <li>
                      <a href="#" data-toggle="tooltip" title="Harry">
                        <img
                          alt="Harry Xai"
                          class="avatar"
                          src="assets/dependencies/img/avatar-male-2.jpg"
                          data-filter-by="alt"
                        />
                      </a>
                    </li>
                  </ul>
                  <div class="card-meta d-flex justify-content-between">
                    <div class="d-flex align-items-center">
                      <i class="material-icons mr-1">playlist_add_check</i>
                      <span class="text-small">1/5</span>
                    </div>
                    <span class="text-small" data-filter-by="text"
                      >Date limite: {{ p.dateFinPrevue }}</span
                    >
                  </div>
                </div>
              </div>
            </div>
          </div>
          <!--end of content-list-body-->
        </div>

        <!-- en attente -->
        <div
          class="tab-pane fade"
          id="enAttente"
          role="tabpanel"
          aria-labelledby="diriges-tab"
          data-filter-list="content-list-body"
        >
          <div class="content-list">
            <div class="row content-list-head">
              <div class="col-auto">
                <h3>Projets en attente</h3>
                <button
                  class="btn btn-round"
                  data-toggle="modal"
                  data-target="#ajouterProjet"
                >
                  <i class="material-icons">add</i>
                </button>
              </div>
              <form class="col-md-auto">
                <div class="input-group input-group-round">
                  <div class="input-group-prepend">
                    <span class="input-group-text">
                      <i class="material-icons">filter_list</i>
                    </span>
                  </div>
                  <input
                    type="search"
                    class="form-control filter-list-input"
                    placeholder="Filtrer projets"
                    aria-label="Filtrer projets"
                    aria-describedby="filtrer-projets"
                  />
                </div>
              </form>
            </div>
            <!--end of content list head-->
            <div class="content-list-body row">
              <div class="col-lg-4" *ngFor="let p of projetsEnAttente">
                <div class="card card-project">
                  <div class="card-body">
                    <div class="dropdown card-options">
                      <button
                        class="btn-options"
                        type="button"
                        id="project-dropdown-button-4"
                        data-toggle="dropdown"
                        aria-haspopup="true"
                        aria-expanded="false"
                      >
                        <i class="material-icons">more_vert</i>
                      </button>
                      <div class="dropdown-menu dropdown-menu-right">
                        <a class="dropdown-item" href="#">Edit</a>
                        <a class="dropdown-item" href="#">Share</a>
                      </div>
                    </div>
                    <div class="card-title">
                      <a routerLink="/entreprise/vue-projet/{{ p.id }}">
                        <h5 data-filter-by="text">{{ p.nom }}</h5>
                      </a>
                    </div>
                    <ul class="avatars">
                      <li>
                        <a href="#" data-toggle="tooltip" title="David">
                          <img
                            alt="David Whittaker"
                            class="avatar"
                            src="assets/dependencies/img/avatar-male-4.jpg"
                            data-filter-by="alt"
                          />
                        </a>
                      </li>
                      <li>
                        <a href="#" data-toggle="tooltip" title="Masimba">
                          <img
                            alt="Masimba Sibanda"
                            class="avatar"
                            src="assets/dependencies/img/avatar-male-5.jpg"
                            data-filter-by="alt"
                          />
                        </a>
                      </li>
                      <li>
                        <a href="#" data-toggle="tooltip" title="Krishna">
                          <img
                            alt="Krishna Bajaj"
                            class="avatar"
                            src="assets/dependencies/img/avatar-female-6.jpg"
                            data-filter-by="alt"
                          />
                        </a>
                      </li>
                      <li>
                        <a href="#" data-toggle="tooltip" title="Harry">
                          <img
                            alt="Harry Xai"
                            class="avatar"
                            src="assets/dependencies/img/avatar-male-2.jpg"
                            data-filter-by="alt"
                          />
                        </a>
                      </li>
                    </ul>
                    <div class="card-meta d-flex justify-content-between">
                      <div class="d-flex align-items-center">
                        <i class="material-icons mr-1">playlist_add_check</i>
                        <span class="text-small">1/5</span>
                      </div>
                      <span class="text-small" data-filter-by="text"
                        >Date limite: {{ p.dateFinPrevue }}</span
                      >
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <!--end of content list body-->
          </div>
          <!--end of content list-->
        </div>

        <!-- en cours -->
        <div
          class="tab-pane fade"
          id="enCours"
          role="tabpanel"
          aria-labelledby="interventifs-tab"
          data-filter-list="content-list-body"
        >
          <div class="content-list">
            <div class="row content-list-head">
              <div class="col-auto">
                <h3>Projets en cours</h3>
                <button
                  class="btn btn-round"
                  data-toggle="modal"
                  data-target="#ajouterProjet"
                >
                  <i class="material-icons">add</i>
                </button>
              </div>
              <form class="col-md-auto">
                <div class="input-group input-group-round">
                  <div class="input-group-prepend">
                    <span class="input-group-text">
                      <i class="material-icons">filter_list</i>
                    </span>
                  </div>
                  <input
                    type="search"
                    class="form-control filter-list-input"
                    placeholder="Filtrer projets"
                    aria-label="Filtrer projets"
                    aria-describedby="filtrer-projets"
                  />
                </div>
              </form>
            </div>
            <div class="content-list-body row">
              <div class="col-lg-4" *ngFor="let p of projetsEnCours">
                <div class="card card-project">
                  <div class="card-body">
                    <div class="dropdown card-options">
                      <button
                        class="btn-options"
                        type="button"
                        id="project-dropdown-button-4"
                        data-toggle="dropdown"
                        aria-haspopup="true"
                        aria-expanded="false"
                      >
                        <i class="material-icons">more_vert</i>
                      </button>
                      <div class="dropdown-menu dropdown-menu-right">
                        <a class="dropdown-item" href="#">Edit</a>
                        <a class="dropdown-item" href="#">Share</a>
                      </div>
                    </div>
                    <div class="card-title">
                      <a routerLink="/entreprise/vue-projet/{{ p.id }}">
                        <h5 data-filter-by="text">{{p.nom}}</h5>
                      </a>
                    </div>
                    <ul class="avatars">
                      <li>
                        <a href="#" data-toggle="tooltip" title="David">
                          <img
                            alt="David Whittaker"
                            class="avatar"
                            src="assets/dependencies/img/avatar-male-4.jpg"
                            data-filter-by="alt"
                          />
                        </a>
                      </li>
                      <li>
                        <a href="#" data-toggle="tooltip" title="Masimba">
                          <img
                            alt="Masimba Sibanda"
                            class="avatar"
                            src="assets/dependencies/img/avatar-male-5.jpg"
                            data-filter-by="alt"
                          />
                        </a>
                      </li>
                      <li>
                        <a href="#" data-toggle="tooltip" title="Krishna">
                          <img
                            alt="Krishna Bajaj"
                            class="avatar"
                            src="assets/dependencies/img/avatar-female-6.jpg"
                            data-filter-by="alt"
                          />
                        </a>
                      </li>
                      <li>
                        <a href="#" data-toggle="tooltip" title="Harry">
                          <img
                            alt="Harry Xai"
                            class="avatar"
                            src="assets/dependencies/img/avatar-male-2.jpg"
                            data-filter-by="alt"
                          />
                        </a>
                      </li>
                    </ul>
                    <div class="card-meta d-flex justify-content-between">
                      <div class="d-flex align-items-center">
                        <i class="material-icons mr-1">playlist_add_check</i>
                        <span class="text-small">1/5</span>
                      </div>
                      <span class="text-small" data-filter-by="text"
                        >Date limite: {{p.dateFinPrevue}}</span
                      >
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>

        <!-- terminer -->
        <div
          class="tab-pane fade"
          id="termines"
          role="tabpanel"
          aria-labelledby="interventifs-tab"
          data-filter-list="content-list-body"
        >
          <div class="content-list">
            <div class="row content-list-head">
              <div class="col-auto">
                <h3>Projets terminés</h3>
                <button
                  class="btn btn-round"
                  data-toggle="modal"
                  data-target="#ajouterProjet"
                >
                  <i class="material-icons">add</i>
                </button>
              </div>
              <form class="col-md-auto">
                <div class="input-group input-group-round">
                  <div class="input-group-prepend">
                    <span class="input-group-text">
                      <i class="material-icons">filter_list</i>
                    </span>
                  </div>
                  <input
                    type="search"
                    class="form-control filter-list-input"
                    placeholder="Filtrer projets"
                    aria-label="Filtrer projets"
                    aria-describedby="filtrer-projets"
                  />
                </div>
              </form>
            </div>
            <div class="content-list-body row">
              <div class="col-lg-4" *ngFor="let p of projetsTermines">
                <div class="card card-project">
                  <div class="card-body">
                    <div class="dropdown card-options">
                      <button
                        class="btn-options"
                        type="button"
                        id="project-dropdown-button-4"
                        data-toggle="dropdown"
                        aria-haspopup="true"
                        aria-expanded="false"
                      >
                        <i class="material-icons">more_vert</i>
                      </button>
                      <div class="dropdown-menu dropdown-menu-right">
                        <a class="dropdown-item" href="#">Edit</a>
                        <a class="dropdown-item" href="#">Share</a>
                      </div>
                    </div>
                    <div class="card-title">
                      <a routerLink="/entreprise/vue-projet/{{ p.id }}">
                        <h5 data-filter-by="text">{{p.nom}}</h5>
                      </a>
                    </div>
                    <ul class="avatars">
                      <li>
                        <a href="#" data-toggle="tooltip" title="David">
                          <img
                            alt="David Whittaker"
                            class="avatar"
                            src="assets/dependencies/img/avatar-male-4.jpg"
                            data-filter-by="alt"
                          />
                        </a>
                      </li>
                      <li>
                        <a href="#" data-toggle="tooltip" title="Masimba">
                          <img
                            alt="Masimba Sibanda"
                            class="avatar"
                            src="assets/dependencies/img/avatar-male-5.jpg"
                            data-filter-by="alt"
                          />
                        </a>
                      </li>
                      <li>
                        <a href="#" data-toggle="tooltip" title="Krishna">
                          <img
                            alt="Krishna Bajaj"
                            class="avatar"
                            src="assets/dependencies/img/avatar-female-6.jpg"
                            data-filter-by="alt"
                          />
                        </a>
                      </li>
                      <li>
                        <a href="#" data-toggle="tooltip" title="Harry">
                          <img
                            alt="Harry Xai"
                            class="avatar"
                            src="assets/dependencies/img/avatar-male-2.jpg"
                            data-filter-by="alt"
                          />
                        </a>
                      </li>
                    </ul>
                    <div class="card-meta d-flex justify-content-between">
                      <div class="d-flex align-items-center">
                        <i class="material-icons mr-1">playlist_add_check</i>
                        <span class="text-small">1/5</span>
                      </div>
                      <span class="text-small" data-filter-by="text"
                        >Date limite: {{p.dateFinPrevue}}</span
                      >
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<form
  [formGroup]="ajouterProjetForm"
  (ngSubmit)="onSubmit()"
  class="modal fade"
  id="ajouterProjet"
  tabindex="-1"
  role="dialog"
  aria-labelledby="ajouterProjet"
  aria-hidden="true"
>
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">Nouveau projet</h5>
        <button
          type="button"
          class="close btn btn-round"
          data-dismiss="modal"
          aria-label="Close"
        >
          <i class="material-icons">close</i>
        </button>
      </div>
      <!--end of modal head-->
      <ul class="nav nav-tabs nav-fill">
        <li class="nav-item">
          <a
            class="nav-link active"
            id="project-add-details-tab"
            data-toggle="tab"
            href="#project-add-details"
            role="tab"
            aria-controls="project-add-details"
            aria-selected="true"
            >Details</a
          >
        </li>
      </ul>
      <div class="modal-body">
        <div class="tab-content">
          <div
            class="tab-pane fade show active"
            id="project-add-details"
            role="tabpanel"
            aria-labelledby="project-add-details-tab"
          >
            <h6>Détails généraux</h6>
            <div class="form-group row align-items-center">
              <label class="col-3">Nom</label>
              <input
                class="form-control col"
                formControlName="nom"
                type="text"
                placeholder="Nom du projet"
                id="nom"
              />
            </div>
            <div class="form-group row">
              <label class="col-3">Description succinte</label>
              <textarea
                class="form-control col"
                formControlName="descriptionSuccinte"
                rows="3"
                placeholder="Une petite description pour les membres de la plateforme"
                id="descriptionSuccinte"
              ></textarea>
            </div>
            <div class="form-group row">
              <label class="col-3">Description complète</label>
              <textarea
                class="form-control col"
                formControlName="description"
                rows="3"
                placeholder="Une description complète du projet pour les intervenants sur le projet"
                id="description"
              ></textarea>
            </div>
            <hr />
            <h6>Timeline</h6>
            <div class="form-group row align-items-center">
              <label class="col-3">Date de début prévisionnel</label>
              <input
                class="form-control col"
                formControlName="dateDebutPrevue"
                type="text"
                placeholder="jj/mm/aaaa"
                id="dateDebutPrevue"
              />
            </div>
            <div class="form-group row align-items-center">
              <label class="col-3">Date limite de rendu</label>
              <input
                class="form-control col"
                formControlName="dateFinPrevue"
                type="text"
                placeholder="jj/mm/aaaa"
                id="dateFinPrevue"
              />
            </div>
            <hr />
            <h6>Autres détails importants (requis)</h6>
            <div class="form-group row align-items-center">
              <label class="col-3">Catégorie du projet</label>
              <select
                id="categorieId"
                formControlName="categorieId"
                class="form-control col"
                required
              >
                <option *ngFor="let c of categories" [ngValue]="c.id">
                  {{ c.libelle }}
                </option>
              </select>
            </div>
            <div class="form-group row align-items-center">
              <label class="col-3">Chef de projet</label>
              <select
                id="chefProjetId"
                formControlName="chefProjetId"
                class="form-control col"
                required
              >
                <option *ngFor="let user of users" [ngValue]="user.id">
                  {{ user.nomComplet }}
                </option>
              </select>
            </div>
            <hr />
            <h6>Visibilité du projet</h6>
            <div class="row">
              <div class="col">
                <div class="custom-control custom-radio">
                  <input
                    type="radio"
                    formControlName="visible"
                    value="public"
                    id="visibilite-public"
                    class="custom-control-input"
                  />
                  <label class="custom-control-label" for="visibilite-public"
                    >Public</label
                  >
                </div>
              </div>
              <div class="col">
                <div class="custom-control custom-radio">
                  <input
                    type="radio"
                    formControlName="visible"
                    value="prive"
                    id="visibilite-privee"
                    class="custom-control-input"
                  />
                  <label class="custom-control-label" for="visibilite-privee"
                    >Privé</label
                  >
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <!--end of modal body-->
      <div class="modal-footer">
        <button role="button" class="btn btn-primary" type="submit">
          Créer
        </button>
      </div>
    </div>
  </div>
</form>
